summaryrefslogtreecommitdiff
path: root/release-scripts
diff options
context:
space:
mode:
authorMichael Adam <obnox@samba.org>2010-09-09 17:24:30 +0200
committerMichael Adam <obnox@samba.org>2010-09-23 03:05:48 +0200
commitb56ebe5cac0ca63b197b8544b8fa5bb5060b1576 (patch)
treeccc99458a2c51a9c78943a773285e0de312f7ad3 /release-scripts
parentaea64ef275b6e94ca7afb8fa2bb172416773abdf (diff)
downloadsamba-b56ebe5cac0ca63b197b8544b8fa5bb5060b1576.tar.gz
add script to build only the manual pages (not all the docs) - git version
the git version uses git clean to clean the docs source tree.
Diffstat (limited to 'release-scripts')
-rwxr-xr-xrelease-scripts/build-manpages-git42
1 files changed, 42 insertions, 0 deletions
diff --git a/release-scripts/build-manpages-git b/release-scripts/build-manpages-git
new file mode 100755
index 00000000000..14e01aa7c6e
--- /dev/null
+++ b/release-scripts/build-manpages-git
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# Copyright (C) Michael Adam 2010
+
+_exit() {
+ echo $@
+ popd
+ exit 1
+}
+
+DIRNAME=$(dirname $0)
+DOCS_XML_DIR=${DIRNAME}/../docs-xml
+DOCS_DIR=${DIRNAME}/../docs
+
+pushd ${DOCS_XML_DIR} || exit 1
+
+git clean -xdf || _exit "Error running git clean."
+
+autoconf || _exit "Error running autoconf."
+
+./configure || _exit "Error running configure."
+
+# enable offline build by creating catalog:
+cat $(pwd)/build/catalog.xml.in \
+ | sed -e "s|@BUILDDIR@|$(pwd)|g" \
+ > $(pwd)/build/catalog.xml
+
+export XML_CATALOG_FILES="file:///etc/xml/catalog file://$(pwd)/build/catalog.xml"
+
+make manpages3 || _exit "Error running make manpages3"
+
+popd
+
+test -e ${DOCS_DIR}/manpages && rm -rf ${DOCS_DIR}/manpages
+mkdir -p ${DOCS_DIR}/manpages
+
+rsync -Ca ${DOCS_XML_DIR}/output/manpages-3/ ${DOCS_DIR}/manpages
+
+echo "Success"
+exit
+
+# END